Skip to main content
List the unlock schedules defined for a token. Internal schedules are excluded. Route: POST /api/external/v1/schedules

Headers

HeaderRequiredDescription
Content-TypeYesMust be application/json
x-magna-api-tokenYesYour Magna API token

Body parameters

FieldTypeRequiredDescription
tokenIdstring (uuid)YesThe token whose schedules to list

Request example

curl -X POST https://app.magna.so/api/external/v1/schedules \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY' \
-d '{ "tokenId": "tok...uuid" }'

Response example

{
  "items": [
    {
      "id": "sch...uuid",
      "key": "S-ABC123",
      "name": "4y monthly, 1y cliff",
      "description": null,
      "unlockAtStart": 0,
      "cliff": { "value": 0, "duration": 1, "period": "YEAR" },
      "roundingMode": "FLOOR",
      "createdAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "total": 1
}